=== debian/changelog ===
gqcam (0.9.1-3) unstable; urgency=low

  * xlibs-dev transition.
  * Many thanks to Victor Seva for the patch that cleans
    Depends and Build-Depends.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 17 Dec 2005 12:55:19 +0100

gqcam (0.9.1-2) unstable; urgency=low

  * Patched gqcam.c to fix saving preferences when $HOME not
    defined or the file is not available. (Closes: #339701)
    Thanks Pierre Pronchery for finding out and the patch.
  * Bumped Standards-Version to 3.6.2.0, no change.
  * Moved to debhelper compatibility 4. Created debian/compat.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 18 Nov 2005 09:11:27 +0100

gqcam (0.9.1-1) unstable; urgency=low

  * New upstream release, thanks Giansalvo Gusinu.
    Adds support for YUV420P. (Closes: #143579)
  * Updated debian/copyright with new upstream author.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon,  4 Apr 2005 08:08:59 +0200

gqcam (0.9+gg-1) unstable; urgency=low

  * New upstream version by Giansalvo Gusinu, adds suport for
    JPEG cameras. Downloaded from http://gusinu.net/
  * Changed maintainer email address.
  * Added icon="camera" to menu file. (Closes: #244487)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 30 Jan 2005 11:23:50 +0100

gqcam (0.9-2) unstable; urgency=low

  * Added patch to report correct file name in error message.
    Thanks Christian Häggström. (Closes: #234135)
  * Bumped Standards-Version to 3.6.1. No change
  * Make package lintian clean (mostly clean ups in Depends)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 23 Feb 2004 11:06:39 +0100

gqcam (0.9-1) unstable; urgency=low

  * Initial Release. (Closes: #102922)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Fri, 29 Jun 2001 17:13:32 +0200

Local variables:
mode: debian-changelog
End:
