=== debian/control ===
Source: gqcam
Section: graphics
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev, libpng12-dev, libjpeg62-dev
Standards-Version: 3.6.2.0

Package: gqcam
Architecture: any
Depends: ${shlibs:Depends}
Description: GTK Webcam control
 Gqcam  is a program originally created to pull frames from
 a greyscale Connectix QuickCam, but that has grown into  a
 frame  grabber for most any Video4Linux compatible webcam-
 like camera.  It should work with any camera that supports
 the read() method of grabbing frames.
